OpenCL C++ Bindings: cl::Event Class Reference

OpenCL C++ Bindings

Public Member Functions | Static Public Member Functions | List of all members
cl::Event Class Reference

Class interface for cl_event. More...

Inheritance diagram for cl::Event:

## Public Member Functions
| Event ()
| Default constructor - initializes to NULL.
| Event (const cl_event &event, bool retainObject=false)
| Constructor from cl_event - takes ownership. More...
Event & | operator= (const cl_event &rhs)
| Assignment operator from cl_event - takes ownership. More...
template<typename T >
cl_int | getInfo (cl_event_info name, T *param) const
| Wrapper for clGetEventInfo().
template<cl_event_info name>
detail::param_traits< detail::cl_event_info, name >::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetEventInfo() that returns by value.
template<typename T >
cl_int | getProfilingInfo (cl_profiling_info name, T *param) const
| Wrapper for clGetEventProfilingInfo().
template<cl_profiling_info name>
detail::param_traits< detail::cl_profiling_info, name >::param_type | getProfilingInfo (cl_int *err=NULL) const
| Wrapper for clGetEventProfilingInfo() that returns by value.
cl_int | wait () const
| Blocks the calling thread until this event completes. More...
cl_int | setCallback (cl_int type, void(CL_CALLBACK *pfn_notify)(cl_event, cl_int, void *), void *user_data=NULL)
| Registers a user callback function for a specific command execution status. More...
Public Member Functions inherited from cl::detail::Wrapper< cl_event >
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
cl_type | get () const

## Static Public Member Functions
static cl_int | waitForEvents (const vector< Event > &events)
| Blocks the calling thread until every event specified is complete. More...

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_event >
typedef cl_event | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_event >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_event >
cl_type | object_

## Detailed Description

Class interface for cl_event.

Note
  Copies of these objects are shallow, meaning that the copy will refer to the same underlying cl_event as the original. For details, see clRetainEvent() and clReleaseEvent().

See also
  cl_event

Definition at line 3220 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ Event()

cl::Event::Event | ( | const cl_event & | event,
|  | bool | retainObject = `false`
| ) |  |
| inlineexplicit

Constructor from cl_event - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. This effectively transfers ownership of a refcount on the cl_event into the new Event object.

Definition at line 3234 of file opencl.hpp.

## Member Function Documentation

## ◆ operator=()

Event& cl::Event::operator= | ( | const cl_event & | rhs | ) |
| inline

Assignment operator from cl_event - takes ownership.

This effectively transfers ownership of a refcount on the rhs and calls clReleaseEvent() on the value previously held by this instance.

Definition at line 3242 of file opencl.hpp.

## ◆ setCallback()

cl_int cl::Event::setCallback | ( | cl_int | type,
|  | void(CL_CALLBACK *pfn_notify)(cl_event, cl_int, void *) | ,
|  | void * | user_data = `NULL`
| ) |  |
| inline

Registers a user callback function for a specific command execution status.

Wraps clSetEventCallback().

Definition at line 3310 of file opencl.hpp.

## ◆ wait()

cl_int cl::Event::wait | ( |  | ) | const
| inline

Blocks the calling thread until this event completes.

Wraps clWaitForEvents().

Definition at line 3298 of file opencl.hpp.

## ◆ waitForEvents()

static cl_int cl::Event::waitForEvents | ( | const vector< Event > & | events | ) |
| inlinestatic

Blocks the calling thread until every event specified is complete.

Wraps clWaitForEvents().

Definition at line 3330 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp